Bug 220977 - Support aspect-ratio on grid items
Summary: Support aspect-ratio on grid items
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Rob Buis
URL:
Keywords: InRadar
Depends on:
Blocks: 47738
  Show dependency treegraph
 
Reported: 2021-01-26 06:04 PST by Rob Buis
Modified: 2021-02-03 05:06 PST (History)
10 users (show)

See Also:


Attachments
Patch (4.25 KB, patch)
2021-01-26 06:08 PST, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (4.24 KB, patch)
2021-01-26 22:07 PST, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (6.37 KB, patch)
2021-01-27 07:35 PST, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (7.72 KB, patch)
2021-01-29 01:39 PST, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (7.72 KB, patch)
2021-01-29 03:18 PST, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (7.52 KB, patch)
2021-01-29 04:33 PST, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (6.54 KB, patch)
2021-02-02 01:21 PST, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (6.51 KB, patch)
2021-02-03 01:44 PST, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (6.55 KB, patch)
2021-02-03 04:14 PST, Rob Buis
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rob Buis 2021-01-26 06:04:24 PST
Support aspect-ratio on grid items.
Comment 1 Rob Buis 2021-01-26 06:08:01 PST
Created attachment 418408 [details]
Patch
Comment 2 Rob Buis 2021-01-26 22:07:16 PST
Created attachment 418510 [details]
Patch
Comment 3 Rob Buis 2021-01-27 07:35:59 PST
Created attachment 418547 [details]
Patch
Comment 4 Rob Buis 2021-01-29 01:39:32 PST
Created attachment 418712 [details]
Patch
Comment 5 Rob Buis 2021-01-29 03:18:31 PST
Created attachment 418715 [details]
Patch
Comment 6 Rob Buis 2021-01-29 04:33:51 PST
Created attachment 418717 [details]
Patch
Comment 7 Rob Buis 2021-01-29 08:21:05 PST
Comment on attachment 418717 [details]
Patch

Clearing review flag for now since fixing https://bugs.webkit.org/show_bug.cgi?id=204578 first would make this patch smaller and easier to review.
Comment 8 Rob Buis 2021-02-02 01:21:36 PST
Created attachment 418972 [details]
Patch
Comment 9 Radar WebKit Bug Importer 2021-02-02 06:05:16 PST
<rdar://problem/73877205>
Comment 10 Rob Buis 2021-02-03 01:44:57 PST
Created attachment 419114 [details]
Patch
Comment 11 Javier Fernandez 2021-02-03 03:22:39 PST
Comment on attachment 419114 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=419114&action=review

r=me

> Source/WebCore/rendering/RenderGrid.cpp:1866
> +            // A non-auto inline size means the same for block size

Nit: no need to wrap comments here

> Source/WebCore/rendering/RenderGrid.cpp:1883
> +            // A non-auto block size means the same for inline size

Ditto
Comment 12 Rob Buis 2021-02-03 04:14:07 PST
Created attachment 419121 [details]
Patch
Comment 13 EWS 2021-02-03 05:05:58 PST
Committed r272307: <https://trac.webkit.org/changeset/272307>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 419121 [details].